%global pkg_name        Data-FormValidator
%global pkg_version     4.57
%global rpm_pkg_version 4.57
%global rpm_pkg_release 1.n0i.27

Summary:       Validates user input based on input profile
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MA/MARKSTOS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl

BuildRequires: perl(Date::Calc) >= 5
Requires:      perl(Date::Calc) >= 5
BuildRequires: perl(File::MMagic) >= 1.17
Requires:      perl(File::MMagic) >= 1.17
BuildRequires: perl(Image::Size)
BuildRequires: perl(MIME::Types) >= 1.005
Requires:      perl(MIME::Types) >= 1.005
BuildRequires: perl(Perl6::Junction) >= 1.1
Requires:      perl(Perl6::Junction) >= 1.1
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(overload)

%global perl_filter_req 'perl\\((Date::Calc|File::MMagic|MIME::Types|Perl6::Junction)\\)$'


%description
Data::FormValidator's main aim is to make input validation expressible in a
simple format.

Data::FormValidator lets you define profiles which declare the required and
optional fields and any constraints they might have.

The results are provided as an object which makes it easy to handle missing
and invalid results, return error messages about which constraints failed, or
process the resulting valid data.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README RELEASE_NOTES


%changelog
* Sat Nov 03 2007 Marius Feraru <altblue@n0i.net> - 4.57-1.n0i.27
- version 4.57

* Thu Nov 01 2007 Marius Feraru <altblue@n0i.net> - 4.56-1.n0i.26
- version 4.56

* Mon Oct 22 2007 Marius Feraru <altblue@n0i.net> - 4.55-1.n0i.25
- version 4.55

* Sun Oct 21 2007 Marius Feraru <altblue@n0i.net> - 4.54-1.n0i.24
- version 4.54

* Sat Oct 20 2007 Marius Feraru <altblue@n0i.net> - 4.52-1.n0i.23
- version 4.52

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 4.51-1.n0i.22
- version 4.51

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 4.50-1.n0i.21
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 4.50

* Sun Jul 02 2006 Marius Feraru <altblue@n0i.net> - 4.21_01-1.n0i.20
- version 4.21_01

* Wed Jun 14 2006 Marius Feraru <altblue@n0i.net> - 4.20-1.n0i.19
- version 4.20

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 4.14-1.n0i.18
- version 4.14

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 4.12-1.n0i.17
- version 4.12

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 4.10-1.n0i.16
- version 4.10

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 4.02-1.n0i.15
- version 4.02

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 4.01-1.n0i.14
- version 4.01

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 3.71-1.n0i.13
- version 3.71

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 3.70-1.n0i.12
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Wed Mar 30 2005 Marius Feraru <altblue@n0i.net> 0:3.63-1.n0i.11
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:3.63-1.n0i.10
- version 3.63

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:3.59-2.n0i.9
- version 3.59

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:3.57-1.n0i.8
- version 3.57

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:3.56-1.n0i.7
- automatic rebuild

* Sat Apr 17 2004 Marius FERARU <altblue@n0i.net> 0:3.56-1.n0i.6
- version 3.56

* Sat Apr 03 2004 Marius Feraru <altblue@n0i.net> 0:3.54-1.n0i.5
- version 3.54
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Tue Mar 23 2004 Marius Feraru <altblue@n0i.net> 0:3.53-1.n0i.4
- version 3.53
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:3.51-1.n0i.3
- version 3.51

* Sun Feb 01 2004 Marius FERARU <altblue@n0i.net> 0:3.50-0.n0i.2
- version 3.50
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 3.12-0.n0i
- Initial build.
